/**
 * Менеджер моделей.
 * Представляет собой интерфейс для доступа ко всем моделям
 * Позволяет по адресу модели, получить на нее ссылку.
 *
 * @group manager
 * @namespace Models
 * @extends manager
 */
function Models() {
    /**
     *  Вернет ссылку на модель. В качестве идентификатора следует указать адрес дерева.
     *
     * @public
     * @function get
     * @param {v2.address} address Адрес модели
     * @returns {tools.promise(Models.Model)}
     * @memberof Models
     */
    this.get = function (address) {

    };

    /**
     *  #### Загрузит все объекты, которые попадают в указанную область.
     *
     * @public
     * @function gis_bound
     * @param {v2.float} _sw_lat широта:  нижний левый угол
     * @param {v2.float} _sw_lon долгота: нижний левый угол
     * @param {v2.float} _ne_lat широта:  верхний правый угол
     * @param {v2.float} _ne_lon долгота: верхний правый угол
     * @returns {tools.promise(v2.list(v2.vc))}
     * @memberof Models
     */
    this.gis_bound = function (_sw_lat, _sw_lon, _ne_lat, _ne_lon) {

    };


}